Debian Bug report logs - #721561
ITP: node-nan -- Native Abstractions for Node.js

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sun, 1 Sep 2013 22:45:01 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Fixed in version node-nan/0.3.2-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#721561; Package wnpp. (Sun, 01 Sep 2013 22:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 01 Sep 2013 22:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-nan -- Native Abstractions for Node.js
Date: Mon, 02 Sep 2013 00:40:34 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : node-nan
  Version         : 0.3.1
  Upstream Author : Rod Vagg <r@va.gg>
* URL             : https://github.com/rvagg/nan
* License         : Expat~no-false-attribs
  Programming Lang: Javascript
  Description     : Native Abstractions for Node.js

 A header file filled with macro and utility goodness for making addon
 development for Node.js easier across versions 0.8, 0.10 and 0.11, and
 eventually 0.12.
 .
 Thanks to the crazy changes in V8 (and some in Node core), keeping native
 addons compiling happily across versions, particularly 0.10 to 0.11/0.12,
 is a minor nightmare. The goal of this project is to store all logic
 necessary to develop native Node.js addons without having to inspec
 NODE_MODULE_VERSION and get yourself into a macro-tangle.
 .
 This project also contains some helper utilities that make addon development
 a bit more pleasant.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 03 Sep 2013 08:06:08 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Mon, 28 Oct 2013 17:03:26 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 17:03:26 GMT) Full text and rfc822 format available.

Message #12 received at 721561-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 721561-close@bugs.debian.org
Subject: Bug#721561: fixed in node-nan 0.3.2-1
Date: Mon, 28 Oct 2013 17:00:08 +0000
Source: node-nan
Source-Version: 0.3.2-1

We believe that the bug you reported is fixed in the latest version of
node-nan, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated node-nan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 03 Sep 2013 01:28:36 +0200
Source: node-nan
Binary: node-nan
Architecture: source all
Version: 0.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 node-nan   - Native Abstractions for Node.js
Closes: 721561
Changes: 
 node-nan (0.3.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #721561).
Checksums-Sha1: 
 593c78fb000a7c8bd4dbde5516173ba6f565977d 1936 node-nan_0.3.2-1.dsc
 1b68ef279a223105517ee3518d4c89509b012919 19957 node-nan_0.3.2.orig.tar.gz
 0dd614ff878b80eb3455e561e00181249f76e2ec 3129 node-nan_0.3.2-1.debian.tar.gz
 b257cc091fcd5126a8127cc0ae313667ba061711 22888 node-nan_0.3.2-1_all.deb
Checksums-Sha256: 
 3fa206f778860abb918cd0278a0cbc5de14f50bace0efaca916904a272a6a748 1936 node-nan_0.3.2-1.dsc
 be199be85ef184e990124af50ebea8e7d2ef22c4563cb013c61392a501153739 19957 node-nan_0.3.2.orig.tar.gz
 fa5eb12d0b37ef11bed9ceed47bd2fa25933d6ecdb204cec4f16cafcca4c358b 3129 node-nan_0.3.2-1.debian.tar.gz
 8bd0fe4706ad1f1256c52dae69e72076a3ecc2d1913df1cddfc08e6ed01fdce4 22888 node-nan_0.3.2-1_all.deb
Files: 
 ca7e5939b8c58f31a89ee5876c5c7c75 1936 web extra node-nan_0.3.2-1.dsc
 9f91201ea2f2d13f13ebf6e495dd24f1 19957 web extra node-nan_0.3.2.orig.tar.gz
 7498a18e6cdd0f6a58722bf04b844801 3129 web extra node-nan_0.3.2-1.debian.tar.gz
 56939818e82104a20bb767db0902fc6b 22888 web extra node-nan_0.3.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSJR9yAAoJEJr0azAldxsxai0P/2yOkKOvIj9Xoh+VVl3qc59m
elYQKdJ2N3PLLGF0qQRqQFP+BGTmQ8oN5mlYSytYDAN5T9VEc2++VWziRzR2gZVx
Nh4ZPEqVgp32koBYp1YixlXf+TKRNNvNPjYlqdTvgzPvShO/tAkk/BHz9px3OiEz
B9U3PcTZNjJLibyw29wvPJLiQHosM04nilkMzP4tRLvY4kCS62OHgPth4uNs0hIE
abwqWkojzRhgts/l8lUKY0wj4nVCZE/VruH5x6OCEhuAuQ0uYXRUxZhEUzWbHJs0
L05EITN8mBr6Ru2cLh444fcokT9C8t9vMxTyzIVxvdMn8dQYxMn9IGaylMdXXbRT
yNnUi7MDAVzE7HhneC2tFVUx11boQACmUPqRvkaNVw0Zemhzh4w0eltpm6uUEuhW
U/axZcN0p94Uq1TgpKueBYOqa/ifa0dTRdrkk5O3PhXP0n2JbUq/rt6pt1rQg/fF
tM0BL6oizhuBH+W2IY/UscnbvgrqCsA1cmB5xsypiRcvB6MWWo+Mi9V31RCwKZdS
wHeLdLLBznhNPsvbLmqc2asvhKaguIA6h8yG7DyOOiSBwD+/mBKqiu/HrI/Snjzw
xmm765m4ahwEYfjKh50IUQPuYuJIY1a8ag8lFAtZRvqgQS2Z022LOrRF5ez+76I2
OPf/55WB1TfdUppqn35X
=IRLa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Nov 2013 07:29:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:24:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.